#!/bin/sh
config() {
  NEW="$1"
  OLD="`dirname $NEW`/`basename $NEW .new`"
  # If there's no config file by that name, mv it over:
  if [ ! -r $OLD ]; then
    mv $NEW $OLD
  elif [ "`cat $OLD | md5sum`" = "`cat $NEW | md5sum`" ]; then # toss the redundant copy
    rm $NEW
  fi
  # Otherwise, we leave the .new copy for the admin to consider...
}
config etc/rc.d/rc.udev.new
config etc/udev/rules.d/60-interfaces.rules.new
rm -f etc/udev/rules.d/60-interfaces.rules.new
( cd sbin ; rm -rf udevtrigger )
( cd sbin ; ln -sf udevadm udevtrigger )
( cd sbin ; rm -rf udevsettle )
( cd sbin ; ln -sf udevadm udevsettle )
( cd sbin ; rm -rf udevcontrol )
( cd sbin ; ln -sf udevadm udevcontrol )
( cd usr/bin ; rm -rf udevinfo )
( cd usr/bin ; ln -sf /sbin/udevadm udevinfo )
( cd lib ; rm -rf libvolume_id.so )
( cd lib ; ln -sf libvolume_id.so.0.0.86 libvolume_id.so )
( cd lib ; rm -rf libvolume_id.so.0 )
( cd lib ; ln -sf libvolume_id.so.0.0.86 libvolume_id.so.0 )
( cd lib/udev/devices ; rm -rf core )
( cd lib/udev/devices ; ln -sf /proc/kcore core )
( cd lib/udev/devices ; rm -rf fd )
( cd lib/udev/devices ; ln -sf /proc/self/fd fd )
( cd lib/udev/devices ; rm -rf stderr )
( cd lib/udev/devices ; ln -sf /proc/self/fd/2 stderr )
( cd lib/udev/devices ; rm -rf stdin )
( cd lib/udev/devices ; ln -sf /proc/self/fd/0 stdin )
( cd lib/udev/devices ; rm -rf stdout )
( cd lib/udev/devices ; ln -sf /proc/self/fd/1 stdout )
